> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.iot.telia.lt/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.iot.telia.lt/_mcp/server.

# Retrieve connectivity information for an endpoint

GET https://iot.telia.lt/api/v1/endpoint/{endpoint_id}/connectivity_info

Returns device location information based on the cell tower to which the device is connected.

Telia validates the data requested, sends the signal request to the network operator, and interprets the response.
Whether the network returns useful data is outside of Telia's control.

To distinguish these cases, this call returns the HTTP `200 OK` response code whenever the request is successfully executed, even if it includes an error.
See the response body for details.

Reference: https://docs.iot.telia.lt/developers/api/endpoint/get-connectivity-info-by-endpoint-id

## Authentication

- `Authorization` header (bearer token, required) — An `auth_token` should be provided to authenticate a session. To obtain an `auth_token`, see the [`/api/v1/authenticate` **POST** request](/developers/api/authentication/authenticate).

## Request

### Path parameters

- `endpoint_id` (integer, required) — Numeric ID of an endpoint

### Query parameters

- `subscriber` (boolean, optional, default: true) — Indicates whether the subscriber information is retrieved. This parameter must be true to retrieve the connectivity information. Upon successful execution, the response contains the following information: - `success` (Boolean) Indicates whether the location is successfully retrieved from the network. - `state` (String) Provides the subscriber state information. - **Assumed Idle** - The network cannot determine whether the device is reachable. - **Network determined not reachable** - Subscriber is marked not reachable by the network. - **Not provided from VLR** - No information on the Visitor Location Register (VLR) exists on the core network. The following scenarios may result in this state: - The device is attached to a 4G/LTE-M/NB-IoT network. - The request for fetching location information failed. - The core network has no VLR information. - `location` (Object) Contains the following information: - `current_location_retrieved` (Boolean) Indicates whether the current location is successfully retrieved. - `age_of_location` (Number) Time in minutes since the last contact with the device. - `cell_global_id` (Object) Includes the MCC, MNC, LAC, and CID. Otherwise, the response contains the `success` field and an `error` (String) field with the error message. All responses include the following fields: - `request_timestamp` (String, Date format) Time in UTC the location information was requested. - `reply_timestamp` (String, Date format) Time in UTC the network provides the location information.

## Response

### 200

Success

- `Endpoint_GetConnectivityInfoByEndpointId_Response_200`

## Errors

### 403 Forbidden Error

Your role doesn't include the permission this endpoint requires. Most endpoints return `error_code`, `error_token`, and `message`. Some return only `status_code` and `message`.

- `error_code` (integer, optional)
- `error_token` (string, optional)
- `status_code` (integer, optional)
- `message` (string, optional)

### 404 Not Found Error

Endpoint not found. This error often occurs when the requested endpoint ID is incorrect or doesn't exist. It can also happen if you don't have the correct permissions to see the connectivity information or the endpoint doesn't belong to the organization you're logged in to.

- `error_code` (integer, optional)
- `error_token` (string, optional)
- `message` (string, optional)

## Types

### Connectivity Info Success Response

- `subscriber_info` (ApiV1EndpointEndpointIdConnectivityInfoGetResponsesContentApplicationJsonSchemaOneOf0SubscriberInfo, optional)
- `request_timestamp` (string, optional)
- `reply_timestamp` (string, optional)

### Connectivity Info Subscriber False Response

- `request_timestamp` (string, optional)
- `reply_timestamp` (string, optional)

### Connectivity Info Error Response

- `subscriber_info` (ApiV1EndpointEndpointIdConnectivityInfoGetResponsesContentApplicationJsonSchemaOneOf2SubscriberInfo, optional)
- `request_timestamp` (string, optional)
- `reply_timestamp` (string, optional)

### ApiV1EndpointEndpointIdConnectivityInfoGetResponsesContentApplicationJsonSchemaOneOf0SubscriberInfo

- `success` (boolean, optional)
- `state` (string, optional)
- `location` (ApiV1EndpointEndpointIdConnectivityInfoGetResponsesContentApplicationJsonSchemaOneOf0SubscriberInfoLocation, optional)

### ApiV1EndpointEndpointIdConnectivityInfoGetResponsesContentApplicationJsonSchemaOneOf2SubscriberInfo

- `success` (boolean, optional)
- `error` (string, optional)

### ApiV1EndpointEndpointIdConnectivityInfoGetResponsesContentApplicationJsonSchemaOneOf0SubscriberInfoLocation

- `current_location_retrieved` (boolean, optional)
- `age_of_location` (double, optional)
- `cell_global_id` (ApiV1EndpointEndpointIdConnectivityInfoGetResponsesContentApplicationJsonSchemaOneOf0SubscriberInfoLocationCellGlobalId, optional)

### ApiV1EndpointEndpointIdConnectivityInfoGetResponsesContentApplicationJsonSchemaOneOf0SubscriberInfoLocationCellGlobalId

- `mcc` (string, optional)
- `mnc` (string, optional)
- `lac` (double, optional)
- `cid` (double, optional)

## Examples

### Device Online with Location Information

**Response**

```json
{
  "reply_timestamp": "2024-03-12T13:37:51.823Z",
  "request_timestamp": "2024-03-12T13:37:21.415Z",
  "subscriber_info": {
    "location": {
      "age_of_location": 80,
      "cell_global_id": {
        "cid": 1234,
        "lac": 1234,
        "mcc": "262",
        "mnc": "01"
      },
      "current_location_retrieved": false
    },
    "state": "not_provided_from_vlr",
    "success": true
  }
}
```

**SDK Code**

```python Device Online with Location Information
import requests

url = "https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info"

querystring = {"subscriber":"true"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Device Online with Location Information
const url = 'https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Device Online with Location Information
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Device Online with Location Information
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Device Online with Location Information
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Device Online with Location Information
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Device Online with Location Information
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Device Online with Location Information
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Device Online Without Location Information

**Response**

```json
{
  "reply_timestamp": "2024-03-12T13:37:51.823Z",
  "request_timestamp": "2024-03-12T13:37:21.415Z",
  "subscriber_info": {
    "location": {
      "age_of_location": 500,
      "current_location_retrieved": false
    },
    "state": "assumed_idle",
    "success": true
  }
}
```

**SDK Code**

```python Device Online Without Location Information
import requests

url = "https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info"

querystring = {"subscriber":"true"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Device Online Without Location Information
const url = 'https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Device Online Without Location Information
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Device Online Without Location Information
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Device Online Without Location Information
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Device Online Without Location Information
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Device Online Without Location Information
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Device Online Without Location Information
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Unknown Subscriber Error

**Response**

```json
{
  "reply_timestamp": "2024-03-12T13:37:51.823Z",
  "request_timestamp": "2024-03-12T13:37:21.415Z",
  "subscriber_info": {
    "error": "Unknown Subscriber Error",
    "success": false
  }
}
```

**SDK Code**

```python Unknown Subscriber Error
import requests

url = "https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info"

querystring = {"subscriber":"true"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Unknown Subscriber Error
const url = 'https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Unknown Subscriber Error
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Unknown Subscriber Error
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Unknown Subscriber Error
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Unknown Subscriber Error
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Unknown Subscriber Error
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Unknown Subscriber Error
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Unknown Location Error

**Response**

```json
{
  "reply_timestamp": "2024-03-12T13:37:51.823Z",
  "request_timestamp": "2024-03-12T13:37:21.415Z",
  "subscriber_info": {
    "error": "Unknown Location Error",
    "success": false
  }
}
```

**SDK Code**

```python Unknown Location Error
import requests

url = "https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info"

querystring = {"subscriber":"true"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Unknown Location Error
const url = 'https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Unknown Location Error
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Unknown Location Error
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Unknown Location Error
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Unknown Location Error
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Unknown Location Error
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Unknown Location Error
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Unknown Data Value

**Response**

```json
{
  "reply_timestamp": "2024-03-12T13:37:51.823Z",
  "request_timestamp": "2024-03-12T13:37:21.415Z",
  "subscriber_info": {
    "error": "Unexpected Data Value",
    "success": false
  }
}
```

**SDK Code**

```python Unknown Data Value
import requests

url = "https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info"

querystring = {"subscriber":"true"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Unknown Data Value
const url = 'https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Unknown Data Value
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Unknown Data Value
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Unknown Data Value
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Unknown Data Value
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Unknown Data Value
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Unknown Data Value
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Subscriber Query Parameter Set to False

**Response**

```json
{
  "reply_timestamp": "2024-03-12T13:37:51.823Z",
  "request_timestamp": "2024-03-12T13:37:21.415Z"
}
```

**SDK Code**

```python Subscriber Query Parameter Set to False
import requests

url = "https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info"

querystring = {"subscriber":"false"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Subscriber Query Parameter Set to False
const url = 'https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=false';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Subscriber Query Parameter Set to False
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=false"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Subscriber Query Parameter Set to False
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=false")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Subscriber Query Parameter Set to False
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=false")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Subscriber Query Parameter Set to False
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=false', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Subscriber Query Parameter Set to False
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=false");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Subscriber Query Parameter Set to False
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/endpoint/12345/connectivity_info?subscriber=false")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```